﻿@using ASP.NET_MVC5_WebShopExample.Models.ViewModels;
@using ASP.NET_MVC5_WebShopExample.Controllers
@model ProductCreateImagesViewModel

@{
    ViewBag.Title = "UploadImages";
    var navigationStepViewModel = new ProductCreateNavigationStepViewModel()
    {
        NavigationStep = ProductCreateNavigationStep.UploadImages
    };
    var imageListViewModel = new ImageListViewModel()
    {
        Images = Model.Images,
        BackUrl = Context.Request.Path + Context.Request.QueryString,
        OwnerId = Model.Product.ProductId,
        Controller = nameof(ProductImagesController).Replace("Controller", "")
    };
}

<h2>Upload images for product @Model.Product.Name</h2>

@Html.Partial("_CreateNavigationStep", navigationStepViewModel)

@Html.Partial("_ImageList", imageListViewModel)

<div class="form-group">
    <div class="col-md-offset-2 col-md-10">
        @Html.ActionLink("Complete", "Details", "Products", new { id = Model.Product.ProductId }, new { @class = "btn btn-default" })
    </div>
</div>
